### Method

# Ggit FetchOptions copy

#### Declaration [src]

    GgitFetchOptions*
    ggit_fetch_options_copy (
      GgitFetchOptions* fetch_options
    )

#### Description [src]

Copies `fetch_options` into a newly allocated `GgitFetchOptions`.

#### Return value

Type: `GgitFetchOptions`

A newly allocated `GgitFetchOptions` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.